using System;
using System.Data;
using System.Data.OleDb;
using System.Windows.Forms;

namespace KelimeEzber.General
{
	/// <summary>
	/// Summary description for RecordOperation.
	/// </summary>
	public class RecordOperation
	{
		IDataObject iData;
		public RecordOperation()
		{
			iData = null;
		}

		public string getClipBoardStr() 
		{
			iData = Clipboard.GetDataObject();
			//Determine whether the data is in a format you can use.
			if(iData.GetDataPresent(DataFormats.Text))
			{
				return (String)iData.GetData(DataFormats.Text); 
			}
			return "";
		}
	}
}


